/{organizationId}/{mandateId}/crm/mailings/listList mailings
Gets a list of mailings
Required permissions:
mailing.read
Path Parameters
organizationIdstringrequired mandateIdstringrequired Request Body required
Content-Type: application/json
limitintegeroptional Default: 50
minimum: 0
maximum: 100
offsetintegeroptional Default: 0
minimum: 0
maximum: 9007199254740991
returnCountbooleanoptional Default: false
searchTermstringoptional typestringoptional Options:
emaillettermaxItems: 50
statusstringoptional Options:
draftsendsendingdeliveredAuthentication: X-API-Key
Request
curl --request POST 'https://cloud.campai.com/api/{organizationId}/{mandateId}/crm/mailings/list' \
--header 'X-API-Key: YOUR_API_KEY' \
--header 'Content-Type: application/json' \
--data '{
"sort": {},
"limit": 50,
"offset": 0
}'Responses
This endpoint returns different response codes based on the request outcome.
200Successful response
Content-Type: application/json
countintegerrequired minimum: 0
maximum: 9007199254740991
Response
{
"count": 0,
"mailings": [
{
"_id": "000000000000000000000001",
"type": "email",
"status": "draft",
"name": "string",
"description": "string",
"tags": "string",
"email": {
"tracking": true,
"unsubscribe": true,
"subject": "string",
"previewText": "string",
"replyTo": "string",
"attachments": [
{
"resource": "string",
"id": "string"
}
]
},
"letter": {
"sendColorPostal": true,
"sendWithCheaperMethod": true
},
"scheduledAt": "2026-06-15T22:30:00Z",
"templateContents": {},
"templateAttachment": {},
"templateContentsDefault": true,
"contactType": "member",
"recipients": {
"viewFilter": {},
"segments": [
"string"
],
"sharedSegmentsFilter": {
"organizations": [
"000000000000000000000001"
],
"scope": "shared",
"sharedSegment": "string"
}
},
"sendToAlternativeCommunications": true,
"onlySendToMissingEmailAddresses": true,
"total": 0,
"costs": 0,
"none": 0,
"manual": 0,
"dispatching": 0,
"dispatched": 0,
"sent": 0,
"opened": 0,
"failed": 0,
"clicks": 0,
"unsubscribes": 0
}
]
}400Invalid input data
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "BAD_REQUEST",
"message": "Invalid input data",
"issues": []
}401Authorization not provided
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "UNAUTHORIZED",
"message": "Authorization not provided",
"issues": []
}403Insufficient access
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "FORBIDDEN",
"message": "Insufficient access",
"issues": []
}500Internal server error
Content-Type: application/json
The error information
messagestringrequired The error message
codestringrequired The error code
An array of issues that were responsible for the error
Response
{
"code": "INTERNAL_SERVER_ERROR",
"message": "Internal server error",
"issues": []
}